Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.shared
Interface Axis.PlotLines.Label

All Known Implementing Classes:
  JSMAxis.JSMPlotLines.JSMLabel

Enclosing interface:
  Axis.PlotLines

    public static interface Axis.PlotLines.Label

Method Summary
`java.lang.String` | `getAlign()`
`double` | `getRotation()`
`Style` | `getStyle()`
`java.lang.String` | `getText()`
`java.lang.String` | `getTextAlign()`
`java.lang.String` | `getVerticalAlign()`
`double` | `getX()`
`double` | `getY()`
`Axis.PlotLines.Label` | `setAlign(java.lang.String align)`
`Axis.PlotLines.Label` | `setRotation(double rotation)`
`Axis.PlotLines.Label` | `setStyle(Style style)`
`Axis.PlotLines.Label` | `setText(java.lang.String text)`
`Axis.PlotLines.Label` | `setTextAlign(java.lang.String textAlign)`
`Axis.PlotLines.Label` | `setVerticalAlign(java.lang.String verticalAlign)`
`Axis.PlotLines.Label` | `setX(double x)`
`Axis.PlotLines.Label` | `setY(double y)`

Method Detail

### getAlign

    java.lang.String getAlign()

### getVerticalAlign

    java.lang.String getVerticalAlign()

### getRotation

    double getRotation()

### getText

    java.lang.String getText()

### getTextAlign

    java.lang.String getTextAlign()

### getX

    double getX()

### getY

    double getY()

### getStyle

    Style getStyle()

### setAlign

    Axis.PlotLines.Label setAlign(java.lang.String align)

### setVerticalAlign

    Axis.PlotLines.Label setVerticalAlign(java.lang.String verticalAlign)

### setRotation

    Axis.PlotLines.Label setRotation(double rotation)

### setText

    Axis.PlotLines.Label setText(java.lang.String text)

### setTextAlign

    Axis.PlotLines.Label setTextAlign(java.lang.String textAlign)

### setX

    Axis.PlotLines.Label setX(double x)

### setY

    Axis.PlotLines.Label setY(double y)

### setStyle

    Axis.PlotLines.Label setStyle(Style style)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD